net.sourceforge.pmd.lang.rule.properties.factories

## Class PropertyDescriptorUtil

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.properties.factories.PropertyDescriptorUtil

-     public class PropertyDescriptorUtil
      extends Object

  Author:
    Brian Remedios

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<PropertyDescriptor<?>>` | `ComparatorByOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyDescriptorUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyDescriptorFactory` | `factoryFor(String typeId)`
    `static String` | `typeIdFor(Class<?> valueType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ComparatorByOrder

          public static final Comparator<PropertyDescriptor<?>> ComparatorByOrder

  - ### Constructor Detail

    - #### PropertyDescriptorUtil

          public PropertyDescriptorUtil()

  - ### Method Detail

    - #### factoryFor

          public static PropertyDescriptorFactory factoryFor(String typeId)

    - #### typeIdFor

          public static String typeIdFor(Class<?> valueType)

Copyright © 2002-2013 InfoEther. All Rights Reserved.